function vec_out = ifs_cdiff(vec_in)
%
% Computes a central difference vector with the same lenght as the input vector.
%

dvec = diff(vec_in);
switch isrow(vec_in)
    case 0 % vec_in is a column
        vec_out = ([0;dvec]+[dvec;0])/2;
    case 1 % vec_in is a row
        vec_out = ([0,dvec]+[dvec,0])/2;
end
