function [data,flag,numpar] = ifs_initialize
%
% Intializes some data which may be overwritten later-on.
%

data.snap = []; % snap shot data
flag.Buijze = 0; % flag to indicate special conditions for Buijze et al. (2019) example 
flag.cond = 1; % flag to set coupling conditions
    % 1 = correct conditions (default)
    % 2 = incorrect Mushkelishvili conditions  
    % 3 = incorrect Weertman conditions  
numpar.n_iter_fric_max = 0;  % maximum allowed number of friction iterations, -
numpar.tol_fric = 0; % relative convergence tolerance for friction iterations, -
numpar.f_damp_fric = 0; % damping factor for iterative updating of slip patch ...
            % boundaries; number between 0 and 1, -
 