% ifs_plot_snaps_Coulomb_grad_slip_multiple       
        
    subplot(1,3,1)
    hold on
    x_min = x_plot.min_sigma_1;
    x_max = x_plot.max_sigma_1;
    y_min = y_plot.min_sigma_1;
    y_max = y_plot.max_sigma_1;
%     % Plot colored patches between x = 0 and sigma_C:
%     n_seg = 25; % number of segments
%     y_seg = linspace(y_pre_snap(1,i_snap_ref),y_pre_snap(2,i_snap_ref),n_seg);
%     y_seg_bot = y_seg(1:end-1);
%     y_seg_top = y_seg(2:end);
%     y_patch = [y_seg_bot' y_seg_top' y_seg_top' y_seg_bot'];
%     x_seg_1 = zeros(n_seg-1,1);
%     x_seg_2 = zeros(n_seg-1,1);
%     x_seg_3 = interp1(y_sigma(:,i_snap_ref),sigma_C(:,i_snap_ref),y_seg_top');
%     x_seg_4 = interp1(y_sigma(:,i_snap_ref),sigma_C(:,i_snap_ref),y_seg_bot');
%     x_patch = [x_seg_1/1e6 x_seg_2/1e6 x_seg_3/1e6 x_seg_4/1e6];
%     patch(x_patch',y_patch',green,'LineStyle','none')
%     y_seg = linspace(y_pre_snap(3,i_snap_ref),y_pre_snap(4,i_snap_ref),n_seg);
%     y_seg_bot = y_seg(1:end-1);
%     y_seg_top = y_seg(2:end);
%     y_patch = [y_seg_bot' y_seg_top' y_seg_top' y_seg_bot'];
%     x_seg_1 = zeros(n_seg-1,1);
%     x_seg_2 = zeros(n_seg-1,1);
%     x_seg_3 = interp1(y_sigma(:,i_snap_ref),sigma_C(:,i_snap_ref),y_seg_top');
%     x_seg_4 = interp1(y_sigma(:,i_snap_ref),sigma_C(:,i_snap_ref),y_seg_bot');
%     x_patch = [x_seg_1/1e6 x_seg_2/1e6 x_seg_3/1e6 x_seg_4/1e6];
%     patch(x_patch',y_patch',green,'LineStyle','none')
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([x_min x_max],[y_pre_snap(4,i_snap_ref) y_pre_snap(4,i_snap_ref)],'LineStyle','-'...
        ,'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(3,i_snap_ref) y_pre_snap(3,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(2,i_snap_ref) y_pre_snap(2,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(1,i_snap_ref) y_pre_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
%     line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle','-',...
%         'Color',blue,'LineWidth',1.0)
%     line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle','-',...
%         'Color',blue,'LineWidth',1.0)
%     line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle','-',...
%         'Color',blue,'LineWidth',1.0)
%     line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle','-',...
%         'Color',blue,'LineWidth',1.0)
    for i_snap = [1:i_snap_ref-1,i_snap_ref+1:n_snap]
        plot(sigma_C(:,i_snap)/1e6,y_sigma(:,i_snap),'LineStyle','-','Color',coal,...
            'LineWidth',1.0) % pre-slip Coulomb stress
    end
    plot(sigma_C(:,i_snap_ref)/1e6,y_sigma(:,i_snap_ref),'LineStyle','-','Color',red,...
        'LineWidth',1.5) % pre-slip Coulomb stress for reference pressure
%     plot(sigma_brv(:,i_snap_ref)/1e6,y_sigma(:,i_snap_ref),'LineStyle','-','Color',orange,...
%         'LineWidth',1.5) % slip-induced stress
%     plot((sigma_C(:,i_snap_ref)+sigma_brv(:,i_snap_ref))/1e6,y_sigma(:,i_snap_ref),...
%         'LineStyle','-','Color',blue,'LineWidth',1.5) % post-slip Coulomb stress    
%         'o','MarkerIndices',1:25:size(y_sigma,1),'MarkerSize',2,'MarkerEdgeColor',blue,...
%         'MarkerFaceColor',blue) % post-slip Coulomb stress    
    hold off
    ifs_plot_text_pre_slip % indicates y_1 ... y_4 on plot 
    switch flag.plot_nota
        case 0
            xlabel('$\Sigma_C$ (MPa)','Interpreter','latex','FontSize',11)
        case 1
            xlabel('$\tau_C$ (MPa) ','Interpreter','latex','FontSize',11)
    end
    ylabel('$\it y$ (m)','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    if admin.input == 1 && flag.fric == 1
%         text(-1.7,38.0,'$-24$','Interpreter','latex','FontSize',10)
        text(-1.2,53.0,'$-24$','Interpreter','latex','FontSize',10)
        text(0.6,38.0,'$-28$','Interpreter','latex','FontSize',10)
    end
    if flag.plot_cap == 1
        [t,s] = title('plot\_snaps','Stresses'); % first line: plot file locator
        t.Color = red;
        t.FontSize = 10;
        s.FontSize = 10;
        t.FontWeight = 'normal';
        s.FontWeight = 'normal';
    end
    box on
    
    subplot(1,3,2)
    hold on
    x_min = x_plot.min_gr_delta; % mm/m
    x_max = x_plot.max_gr_delta; % mm/m
    y_min = y_plot.min_delta_1;
    y_max = y_plot.max_delta_1;
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle','-'...
        ,'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    for i_snap = [1:i_snap_ref-1,i_snap_ref+1:n_snap]
        plot(grad(:,i_snap)*1e3,y_delta(:,i_snap),'LineStyle','-','Color',coal,...
            'LineWidth',1.0) % slip
    end
    plot(grad(:,i_snap_ref)*1e3,y_delta(:,i_snap_ref),'LineStyle','-','Color',red,...
        'LineWidth',1.5) % slip gradient for reference pressure
    hold off
    xlabel('$\nabla{\it\delta}$ (mm/m)','Interpreter','latex','FontSize',11)
    % % % ylabel('$\it y \rm(m)$','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    ifs_plot_text_post_slip % indicates y_tilde_1 ... y_tilde_4 on plot 
%     switch admin.input
%         case 1
%             text(0.0001,56,'$-24$','Interpreter','latex','FontSize',10)
%             x_patch_left = [0.001 0.001 0.0025 0.0025]*1e3;
%             y_patch_left = [38 45 45 38];
%             color = 'white';
%             patch(x_patch_left,y_patch_left,color,'LineStyle','none')
%             text(0.3,41,'$-25$','Color','red','Interpreter','latex','FontSize',10)
%             x_patch_left = [0.0012 0.0012 0.0032 0.0032]*1e3;
%             y_patch_left = [29 36 36 29];
%             patch(x_patch_left,y_patch_left,color,'LineStyle','none')
%             text(1.1,32,'$-26$','Interpreter','latex','FontSize',10)
%             text(3.5,24,'$-27$','Interpreter','latex','FontSize',10)
%             text(8.0,20,'$-28$ MPa ','Interpreter','latex','FontSize',10)
%     end
    if admin.input == 1 && flag.fric == 1
        text(-0.25,38.0,'$-24$','Interpreter','latex','FontSize',10)
        text(0.1,5.0,'$-28$','Interpreter','latex','FontSize',10)
        text(0.05,-43.5,'$-24$','Interpreter','latex','FontSize',10)
        text(-0.30,-6.0,'$-28$','Interpreter','latex','FontSize',10)
    end
    if flag.plot_cap == 1
        title('Slip gradient','FontSize',10,'FontWeight','normal');
    end
    box on
    
    subplot(1,3,3)
    hold on
    x_min = x_plot.min_delta_1*1e3; % mm
    x_max = x_plot.max_delta_1*1e3; % mm
    y_min = y_plot.min_delta_1;
    y_max = y_plot.max_delta_1;
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle','-'...
        ,'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    for i_snap = [1:i_snap_ref-1,i_snap_ref+1:n_snap]
        plot(delta(:,i_snap)*1e3,y_delta(:,i_snap),'LineStyle','-','Color',coal,...
            'LineWidth',1.0) % slip
    end
    plot(delta(:,i_snap_ref)*1e3,y_delta(:,i_snap_ref),'LineStyle','-','Color',red,...
        'LineWidth',1.5) % slip for reference pressure
    hold off
    xlabel('$\delta$ (mm)','Interpreter','latex','FontSize',11)
    % % % ylabel('$\it y \rm(m)$','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    ifs_plot_text_post_slip % indicates y_tilde_1 ... y_tilde_4 on plot 
%     switch admin.input
%         case 1
%             text(0.0001,56,'$-24$','Interpreter','latex','FontSize',10)
%             x_patch_left = [0.001 0.001 0.0025 0.0025]*1e3;
%             y_patch_left = [38 45 45 38];
%             color = 'white';
%             patch(x_patch_left,y_patch_left,color,'LineStyle','none')
%             text(0.3,41,'$-25$','Color','red','Interpreter','latex','FontSize',10)
%             x_patch_left = [0.0012 0.0012 0.0032 0.0032]*1e3;
%             y_patch_left = [29 36 36 29];
%             patch(x_patch_left,y_patch_left,color,'LineStyle','none')
%             text(1.1,32,'$-26$','Interpreter','latex','FontSize',10)
%             text(3.5,24,'$-27$','Interpreter','latex','FontSize',10)
%             text(8.0,20,'$-28$ MPa ','Interpreter','latex','FontSize',10)
%     end
    if admin.input == 1 && flag.fric == 1
        text( 0.9,67.0,'$-24$','Interpreter','latex','FontSize',10)
        text(11.0,39.0,'$-28$','Interpreter','latex','FontSize',10)
    end
    if flag.plot_cap == 1
        title('Slip','FontSize',10,'FontWeight','normal');
    end
    box on    
