% ifs_plot_snaps_Coulomb_slip_post_Coulomb
        
    subplot(1,3,1)
    x_min = x_plot.min_sigma_C;
    x_max = x_plot.max_sigma_C;
    y_min = y_plot.min_sigma;
    y_max = y_plot.max_sigma;
    % Plot patches representing fault blocks:
    f_asp = 1.833; % aspect ratio depending on type of Matlab plot
    offset = (x_max - x_min) / 3.4; % influences horizontal spacing between blocks
% % %     offset = (x_max - x_min) / 4.6; % input file 04; large offset case 
    ifs_plot_fault_blocks(model,plotpar,f_asp,offset,x_max,x_min,y_max,y_min) 
    % Plot data:
    hold on % % %
    line([x_min x_max],[y_pre_snap(4,i_snap_ref) y_pre_snap(4,i_snap_ref)],'LineStyle','-'...
        ,'Color',green,'LineWidth',1.0)
    if y_pre_snap(2,i_snap_ref) ~= y_pre_snap(3,i_snap_ref) % pre-slip Coulomb stress zeros ...
        % have not yet merged
        line([x_min x_max],[y_pre_snap(3,i_snap_ref) y_pre_snap(3,i_snap_ref)],'LineStyle',...
            '-','Color',green,'LineWidth',1.0)
        line([x_min x_max],[y_pre_snap(2,i_snap_ref) y_pre_snap(2,i_snap_ref)],'LineStyle',...
            '-','Color',green,'LineWidth',1.0)
    end
    line([x_min x_max],[y_pre_snap(1,i_snap_ref) y_pre_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
%     line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle',...
%         '-','Color',blue,'LineWidth',1.0)
%     if y_til_snap(2,i_snap_ref) ~= y_til_snap(3,i_snap_ref) % slip patches have not yet merged 
%         line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle',...
%             '-','Color',blue,'LineWidth',1.0)
%         line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle',...
%             '-','Color',blue,'LineWidth',1.0)
%     end
%     line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle',...
%         '-','Color',blue,'LineWidth',1.0)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
% % Plot dash-dotted box:
%     line([x_plot.min_sigma_1 x_plot.min_sigma_1],...
%         [y_plot.min_delta_1 y_plot.max_delta_1],'LineStyle','-.','Color',black,'LineWidth',0.5)
%     line([x_plot.min_sigma_1 x_plot.max_sigma_1],...
%         [y_plot.min_delta_1 y_plot.min_delta_1],'LineStyle','-.','Color',black,'LineWidth',0.5)
%     line([x_plot.min_sigma_1 x_plot.max_sigma_1],...
%         [y_plot.max_delta_1 y_plot.max_delta_1],'LineStyle','-.','Color',black,'LineWidth',0.5)
%     line([x_plot.max_sigma_1 x_plot.max_sigma_1],...
%         [y_plot.min_delta_1 y_plot.max_delta_1],'LineStyle','-.','Color',black,'LineWidth',0.5)
% %
% Plot colored patches between x = 0 and sigma_C:
    y_seg = linspace(y_pre_snap(1,i_snap_ref),y_pre_snap(2,i_snap_ref),n_seg);
    y_seg_bot = y_seg(1:end-1);
    y_seg_top = y_seg(2:end);
    y_patch = [y_seg_bot' y_seg_top' y_seg_top' y_seg_bot'];
    x_seg_1 = zeros(n_seg-1,1);
    x_seg_2 = zeros(n_seg-1,1);
    x_seg_3 = interp1(y_sigma(:,i_snap_ref),sigma_C(:,i_snap_ref),y_seg_top');
    x_seg_4 = interp1(y_sigma(:,i_snap_ref),sigma_C(:,i_snap_ref),y_seg_bot');
    x_patch = [x_seg_1/1e6 x_seg_2/1e6 x_seg_3/1e6 x_seg_4/1e6];
    patch(x_patch',y_patch',green,'LineStyle','none')
    y_seg = linspace(y_pre_snap(3,i_snap_ref),y_pre_snap(4,i_snap_ref),n_seg);
    y_seg_bot = y_seg(1:end-1);
    y_seg_top = y_seg(2:end);
    y_patch = [y_seg_bot' y_seg_top' y_seg_top' y_seg_bot'];
    x_seg_1 = zeros(n_seg-1,1);
    x_seg_2 = zeros(n_seg-1,1);
    x_seg_3 = interp1(y_sigma(:,i_snap_ref),sigma_C(:,i_snap_ref),y_seg_top');
    x_seg_4 = interp1(y_sigma(:,i_snap_ref),sigma_C(:,i_snap_ref),y_seg_bot');
    x_patch = [x_seg_1/1e6 x_seg_2/1e6 x_seg_3/1e6 x_seg_4/1e6];
    patch(x_patch',y_patch',green,'LineStyle','none')
%
    plot(sigma_C(:,i_snap_ref)/1e6,y_sigma(:,i_snap_ref),'LineStyle','-','Color',red,...
        'LineWidth',1.5) % pre-slip Coulomb stress
%     plot(sigma_brv(:,i_snap_ref)/1e6,y_sigma(:,i_snap_ref),'LineStyle','-','Color',orange,...
%         'LineWidth',1.5) % slip-induced stress
%     plot((sigma_C(:,i_snap_ref)+sigma_brv(:,i_snap_ref))/1e6,y_sigma(:,i_snap_ref),...
%         'LineStyle','--','Color',blue,'LineWidth',1.5) % post-slip Coulomb stress    
%         'o','MarkerIndices',1:30:size(y_sigma,1),'MarkerSize',2,'MarkerEdgeColor',blue,...
%         'MarkerFaceColor',blue) % post-slip Coulomb stress    
%         'LineStyle',':','Color',blue,'LineWidth',2.0) % post-slip Coulomb stress    
    hold off
    switch flag.plot_nota
        case 0
            xlabel('$\Sigma_C$ (MPa) ','Interpreter','latex','FontSize',11)
        case 1
            xlabel('$\tau_C$ (MPa) ','Interpreter','latex','FontSize',11)
    end
    ylabel('$y$ (m) ','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    ifs_plot_text_pre_slip % indicates y_1 ... y_4 on plot 
    if flag.plot_cap == 1
        [t,s] = title('plot\_snaps','Pre-slip C. stress'); % first line: ...
            % plot file locator
        t.Color = red;
        t.FontSize = 10;
        s.FontSize = 10;
        t.FontWeight = 'normal';
        s.FontWeight = 'normal';
    end
    box on
    
    subplot(1,3,2)
    x_min = x_plot.min_delta *1e3; % mm
    x_max = x_plot.max_delta *1e3; % mm
    y_min = y_plot.min_delta;
    y_max = y_plot.max_delta;
    % Plot patches representing fault blocks:
    f_asp = 1.833; % aspect ratio depending on type of Matlab plot
    offset = (x_max - x_min) / 3.4; % influences horizontal spacing between blocks
% % %     offset = (x_max - x_min) / 4.6; % % % input file 04; large offset case 
    ifs_plot_fault_blocks(model,plotpar,f_asp,offset,x_max,x_min,y_max,y_min) 
    % Plot data:
    hold on % % %
    line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle',...
        '-','Color',blue,'LineWidth',1.0)
    if y_til_snap(2,i_snap_ref) ~= y_til_snap(3,i_snap_ref) % slip patches have not yet merged 
        line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle',...
            '-','Color',blue,'LineWidth',1.0)
        line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle',...
            '-','Color',blue,'LineWidth',1.0)
    end
    line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle',...
        '-','Color',blue,'LineWidth',1.0)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    plot(delta(:,i_snap_ref)*1e3,y_delta(:,i_snap_ref),'-','LineWidth',1.5,'Color',red) % slip
    hold off
    xlabel('$\delta$ (mm)','Interpreter','latex','FontSize',11)
    % % % ylabel('$\it y \rm(m)$','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    ifs_plot_text_post_slip % indicates y_tilde_1 ... y_tilde_4 on plot 
    if flag.plot_cap == 1
        title('Slip','FontSize',10,'FontWeight','normal');
    end
    box on

    subplot(1,3,3)
    x_min = x_plot.min_sigma_C;
    x_max = x_plot.max_sigma_C;
    y_min = y_plot.min_sigma;
    y_max = y_plot.max_sigma;
    % Plot patches representing fault blocks:
    f_asp = 1.833; % aspect ratio depending on type of Matlab plot
    offset = (x_max - x_min) / 3.4; % influences horizontal spacing between blocks
% % %     offset = (x_max - x_min) / 4.6; % input file 04; large offset case 
    ifs_plot_fault_blocks(model,plotpar,f_asp,offset,x_max,x_min,y_max,y_min) 
    hold on
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    plot((sigma_C(:,i_snap_ref)+sigma_brv(:,i_snap_ref))/1e6,y_sigma(:,i_snap_ref),...
        'LineStyle','-','Color',red,'LineWidth',1.5) % post-slip Coulomb stress    
    hold off
    ifs_plot_text_post_slip % indicates y_tilde_1 ... y_tilde_4 on plot 
    switch flag.plot_nota
        case 0
            xlabel('$\breve\Sigma_C$ (MPa)','Interpreter','latex','FontSize',11)
        case 1
            xlabel('$\breve\tau_C$ (MPa)','Interpreter','latex','FontSize',11)
    end
%    ylabel('$\it y$ (m)','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    if flag.plot_cap == 1
        title('Post-slip C. stress','FontSize',10,'FontWeight','normal');
    end
    box on
